ptmsets.h
Go to the documentation of this file.
/**
* @file ptmsets.h
* @brief PTMSETS service.
*/
#pragma once
#include <3ds/types.h>
/// Initializes PTMSETS.
Result ptmSetsInit(void);
/// Exits PTMSETS.
void ptmSetsExit(void);
/**
* @brief Gets a pointer to the current ptm:sets session handle.
* @return A pointer to the current ptm:sets session handle.
*/
Handle *ptmSetsGetSessionHandle(void);
/**
* @brief Sets the system time.
* @param msY2k The number of milliseconds since 01/01/2000.
*/
Result PTMSETS_SetSystemTime(s64 msY2k);
ptmSetsInit
Result ptmSetsInit(void)
Initializes PTMSETS.
ptmSetsExit
void ptmSetsExit(void)
Exits PTMSETS.
ptmSetsGetSessionHandle
Handle * ptmSetsGetSessionHandle(void)
Gets a pointer to the current ptm:sets session handle.
PTMSETS_SetSystemTime
Result PTMSETS_SetSystemTime(s64 msY2k)
Sets the system time.
types.h
Various system types.
s64
int64_t s64
64-bit signed integer
Definition: types.h:29
Handle
u32 Handle
Resource handle.
Definition: types.h:41
Result
s32 Result
Function result.
Definition: types.h:42